%define url_ver	%(echo %{version} | cut -f. -d1,2)

%define api	2
%define major	0
%define libname	%mklibname gtef %{api} %{major}
%define girname	%mklibname gtef-gir %{api}
%define devname	%mklibname gtef -d

%define build_tests	0

Name:		gtef
Summary:	GTK+ Text Editor Framework
Version:	2.0.1
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Gtef
Source0:	https://download.gnome.org/sources/gtef/%{_url_ver}/gtef-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(vapigen)

%description
Gtef is a library that eases the development of GtkSourceView-based
text editors and IDEs. Gtef is the acronym for "GTK+ Text Editor
Framework".

%package -n %{libname}
Summary:	GTK+ Text Editor Framework
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Gtef is a library that eases the development of GtkSourceView-based
text editors and IDEs. Gtef is the acronym for "GTK+ Text Editor
Framework".

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}.

%if %{build_tests}
%package tests
Summary:	Tests for the %{name} package
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description tests
This package contains tests that can be used to verify
the functionality of the installed %{libname} package.
%endif

%prep
%autosetup

%build
%configure \
%if %{build_tests}
	--enable-installed-tests
%else
	--disable-installed-tests
%endif
%make_build V=1

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang gtef-2

%files i18n -f gtef-2.lang

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libgtef-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gtef-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gtef-2.0/
%{_includedir}/gtef-%{api}/
%{_libdir}/libgtef-%{api}.so
%{_libdir}/pkgconfig/gtef-%{api}.pc
%{_datadir}/gir-1.0/Gtef-%{api}.gir
%{_datadir}/vala/vapi/gtef-%{api}.*

%if %{build_tests}
%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtef-%{api}/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtef-%{api}/
%endif


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1512713
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1298101
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 wally <wally> 2.0.1-1.mga7
+ Revision: 1142505
- imported package gtef

